## deepin-manual 5.7.0.75

=== src/CMakeLists.txt ===
project(deepin-manual C CXX)

#set(CMAKE_C_COMPILER  /usr/bin/clang)
#set(CMAKE_CXX_COMPILER  /usr/bin/clang++)


set(CMAKE_INSTALL_PREFIX /usr)


if (CMAKE_BUILD_TYPE MATCHES Debug)
  add_definitions(-DDMAN_SEARCH_DB="${CMAKE_SOURCE_DIR}/manual-assets")
  add_definitions(-DDMAN_WEB_DIR="${CMAKE_CURRENT_SOURCE_DIR}/web_dist")
#  add_definitions(-DDMAN_MANUAL_DIR="${CMAKE_SOURCE_DIR}/manual-assets")
  add_definitions(-DDMAN_MANUAL_DIR="${CMAKE_INSTALL_PREFIX}/share/deepin-manual/manual-assets")
else()
  add_definitions(-DDMAN_SEARCH_DB="${CMAKE_INSTALL_PREFIX}/share/deepin-manual/manual-assets")
  add_definitions(-DDMAN_WEB_DIR="${CMAKE_INSTALL_PREFIX}/share/deepin-manual/web_dist")
  add_definitions(-DDMAN_MANUAL_DIR="${CMAKE_INSTALL_PREFIX}/share/deepin-manual/manual-assets")
endif ()
#禁止Debug日志输出
#add_definitions(-DQT_NO_DEBUG_OUTPUT)

configure_file(environments.h.in environments.h @ONLY)

# These macros ared used at compile time only.
add_definitions(-DDMAN_SEARCH_ORIG_DB="${CMAKE_CURRENT_BINARY_DIR}/search.db")
add_definitions(-DDMAN_ORIG_MANUAL_DIR="${CMAKE_SOURCE_DIR}/manual-assets")
add_definitions(-DDMAN_SEARCH_WORK_DIR="${CMAKE_CURRENT_SOURCE_DIR}/web")
add_definitions(-DDMAN_SEARCH_CREATE_DB_PATH="${CMAKE_CURRENT_BINARY_DIR}/dbPath")
# This is for icon path on db
add_definitions(-DDMAN_INSTALL_DB_PATH="${CMAKE_INSTALL_PREFIX}/share/deepin-manual/manual-assets")

add_subdirectory(dbus)
add_subdirectory(resources)

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_C_STANDARD 11)
set(CMAKE_C_STANDARD_REQUIRED ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -Wall -Wextra -fno-rtti -fno-exceptions")
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -Wall -Wextra")

if (CMAKE_BUILD_TYPE MATCHES Debug)  
  # -fno-rtti, Disable real-time type information
  # -fno-exceptions Disable exceptions
  # -fsanitize=address Enable memory sanitize plugin

  # -fsanitize=address, Enable memory address sanitizer.
  # set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fsanitize=address")
  # -fsanitize=leak, Enable memory leak sanitizer.
  # set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fsanitize=leak")
  # -fsanitize=memory, Enable detecting uninitited memory sanitizer.
  # set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fsanitize=memory")
  #    "-fsanitize-memory-track-origins -fPIC -pie -fno-omit-frame-pointer")

  #  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wimplicit-fallthrough=1")

  # Enable Qt builtin debug mode
  add_definitions("-DQT_MESSAGELOGCONTEXT")
else()
  # -Wl, -O2 Enable linker optimizations
  # -Wl, --gc-sections Remove unused code resulting from -fdsta-sections and
  # -ffunction-sections
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -O2 -Wl,-O1 -Wl,--gc-sections")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -O2 -Wl,-O1 -Wl,--gc-sections")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fno-rtti")

  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wl,--as-needed -fPIE")
  set(CMAKE_EXE_LINKER_FLAGS "-pie")
endif()

if (${CMAKE_SYSTEM_PROCESSOR} MATCHES "mips64")
    set(CMAKE_CXX_FLAGS "-O3 -ftree-vectorize -march=loongson3a -mhard-float -mno-micromips -mno-mips16 -flax-vector-conversions -mloongson-ext2 -mloongson-mmi -Wl,--as-needed")
    add_definitions(-DDCPU_IS_LONGSON)
endif()

find_package(PkgConfig REQUIRED)
find_package(Qt5Core REQUIRED)
find_package(Qt5DBus REQUIRED)
find_package(Qt5Gui REQUIRED)
find_package(Qt5X11Extras REQUIRED)
find_package(Qt5LinguistTools)
find_package(Qt5Sql REQUIRED)
find_package(Qt5WebChannel REQUIRED)
find_package(Qt5Widgets REQUIRED)
find_package(Qt5LinguistTools REQUIRED)
find_package(Qt5WebEngineWidgets REQUIRED)

pkg_search_module(DtkWidget REQUIRED dtkwidget)
pkg_search_module(DtkGui REQUIRED dtkgui)
pkg_search_module(DtkCore REQUIRED dtkcore)

include_directories(${DtkWidget_INCLUDE_DIRS})
include_directories(${DtkGui_INCLUDE_DIRS})
include_directories(${DtkCore_INCLUDE_DIRS})
include_directories(${Qt5Gui_PRIVATE_INCLUDE_DIRS})

set(LINK_LIBS
    Qt5::Core
    Qt5::DBus
    Qt5::Sql
    Qt5::Widgets
    Qt5::X11Extras
    Qt5::WebChannel
    Qt5::WebEngineWidgets

    ${DtkWidget_LDFLAGS}
    ${DtkGui_LDFLAGS}
    ${DtkCore_LDFLAGS}

    -lX11
    )

set(DMAN_SEARCH_LINK_LIBS
    Qt5::Core
    Qt5::DBus
    ${DtkCore_LDFLAGS}
    )

set (DMAN_HELPER_LIBS
    Qt5::Core
    Qt5::Sql
    Qt5::DBus
    Qt5::Widgets
    Qt5::WebChannel
    Qt5::WebEngineWidgets
    ${DtkGui_LDFLAGS}
    ${DtkCore_LDFLAGS}
    ${DtkWidget_LDFLAGS}
    )



set(BASE_FILES
    base/consts.cpp
    base/consts.h
    base/utils.cpp
    base/utils.h
    )

set(CONTROLLER_FILES
    controller/argument_parser.cpp
    controller/argument_parser.h
    controller/search_db.cpp
    controller/search_db.h
    controller/search_manager.cpp
    controller/search_manager.h
    controller/search_result.h
    controller/window_manager.cpp
    controller/window_manager.h
    controller/config_manager.cpp
    controller/config_manager.h
    controller/shellobj.cpp
    controller/shellobj.h
    )

set(DBUS_FILES
    dbus/dbus_consts.cpp
    dbus/dbus_consts.h
    dbus/dbusvariant/app_info.cpp
    dbus/dbusvariant/app_info.h
    dbus/launcher_interface.cpp
    dbus/launcher_interface.h
    dbus/manual_open_adapter.cpp
    dbus/manual_open_adapter.h
    dbus/manual_open_proxy.cpp
    dbus/manual_open_proxy.h
    dbus/manual_search_adapter.cpp
    dbus/manual_search_adapter.h
    dbus/manual_search_proxy.cpp
    dbus/manual_search_proxy.h
    dbus/manual_filesupdate_proxy.cpp
    dbus/manual_filesupdate_proxy.h
    dbus/manual_filesupdate_adapter.cpp
    dbus/manual_filesupdate_adapter.h
    )

set(RESOURCES_FILES
    resources/themes/images.cpp
    resources/themes/images.h
    resources/themes/themes.qrc
    )

set(VIEW_FILES
    view/i18n_proxy.cpp
    view/i18n_proxy.h
    view/image_viewer_proxy.cpp
    view/image_viewer_proxy.h
    view/manual_proxy.cpp
    view/manual_proxy.h
    view/search_proxy.cpp
    view/search_proxy.h
    view/theme_proxy.cpp
    view/theme_proxy.h
    view/title_bar_proxy.cpp
    view/title_bar_proxy.h
    view/settings_proxy.h
    view/settings_proxy.cpp
    view/web_window.cpp
    view/web_window.h

    view/widget/image_viewer.cpp
    view/widget/image_viewer.h
    view/widget/search_button.cpp
    view/widget/search_button.h
    view/widget/search_completion_window.cpp
    view/widget/search_completion_window.h
    view/widget/search_completion_listview.cpp
    view/widget/search_completion_listview.h
    view/widget/search_completion_delegate.cpp
    view/widget/search_completion_delegate.h
    view/widget/search_edit.cpp
    view/widget/search_edit.h
    )





# Main executable
set(SEARCH_FILES
    app/generate_search_db.cpp
    base/utils.cpp
    base/utils.h
    base/command.cpp
    base/command.h
    dbus/dbusvariant/app_info.cpp
    dbus/dbusvariant/app_info.h
    controller/search_db.cpp
    controller/search_db.h
    )
add_executable(generate-search-db
               ${SEARCH_FILES})
target_link_libraries(generate-search-db ${LINK_LIBS})


# Build web project and generate js files.
add_custom_command(OUTPUT rebuild-web
                   COMMAND pwd
                   COMMAND /usr/bin/node /usr/bin/gulp build -d ${CMAKE_CURRENT_SOURCE_DIR}/web_dist
                   WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/web/
                   )
add_custom_target(update-web DEPENDS rebuild-web)

add_executable(dman
               app/dman.cpp
               ${BASE_FILES}
               ${CONTROLLER_FILES}
               ${DBUS_FILES}
               ${RESOURCES_FILES}
               ${VIEW_FILES}
               )

set(CMAKE_SKIP_BUILD_RPATH FALSE)
set(CMAKE_BUILD_WITH_INSTALL_RPATH FALSE)
set(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
target_link_libraries(dman  ${LINK_LIBS})


add_executable(dmanHelper
                app/dman_helper.cpp
                base/utils.cpp
                base/utils.h
                base/consts.cpp
                base/consts.h
                dbus/dbus_consts.cpp
                dbus/dbus_consts.h
                dbus/dbusvariant/app_info.cpp
                dbus/dbusvariant/app_info.h
                dbus/manual_search_adapter.cpp
                dbus/manual_search_adapter.h
                dbus/manual_search_proxy.cpp
                dbus/manual_search_proxy.h
                base/command.cpp
                base/command.h
                controller/helpermanager.cpp
                controller/helpermanager.h
                controller/search_db.cpp
                controller/search_db.h
                controller/filewatcher.cpp
                controller/filewatcher.h
                view/jscontext.cpp
                view/jscontext.h
                )
target_link_libraries(dmanHelper
                      ${DMAN_HELPER_LIBS})



# Auto generate qm files and search.db in release mode.
if (NOT (${CMAKE_BUILD_TYPE} MATCHES "Debug"))

    # Generate .qm files from .ts files.
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -O3")

    # generate qm files
    execute_process(COMMAND bash "translate_generation.sh"
                    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})
endif ()


if (CMAKE_BUILD_TYPE MATCHES Debug)

  set(MANUAL_TRANSLATE_FILES
      app/manual_translate.cpp
      )
  add_executable(manual-translate-demo ${MANUAL_TRANSLATE_FILES})
  target_link_libraries(manual-translate-demo ${LINK_LIBS})

endif ()

#set different ISO types
#1:professional 2:community 3:server 4:personal
#set(ISO_TYPE "professional")
set(ISO_TYPE "community")
#set(ISO_TYPE "server")
#set(ISO_TYPE "personal")



## Installation
install(TARGETS dman
        DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)
install(TARGETS dmanHelper
        DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)


# Install qm files
file(GLOB QM_FILES  ${CMAKE_SOURCE_DIR}/translations/deepin-manual*.qm)
install(FILES ${QM_FILES}
        DESTINATION ${CMAKE_INSTALL_PREFIX}/share/deepin-manual/translations/)

install(DIRECTORY ${CMAKE_SOURCE_DIR}/manual-assets/${ISO_TYPE}
        DESTINATION ${CMAKE_INSTALL_PREFIX}/share/deepin-manual/manual-assets/)

install(DIRECTORY ${CMAKE_SOURCE_DIR}/src/web_dist
        DESTINATION ${CMAKE_INSTALL_PREFIX}/share/deepin-manual)


string(TOLOWER ${CMAKE_SYSTEM_PROCESSOR} LOWERCASE_CMAKE_SYSTEM_PROCESSOR)

=== tests/CMakeLists.txt ===

cmake_minimum_required(VERSION 3.7)

if (NOT DEFINED VERSION)
    set(VERSION 1.2.2)
endif ()

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_C_STANDARD 11)
set(CMAKE_C_STANDARD_REQUIRED ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

#if (CMAKE_BUILD_TYPE MATCHES Debug)
#  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -Wall -Werror -Wextra")
#  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -Wall -Werror -Wextra -fno-rtti -fno-exceptions")
#  add_definitions("-DQT_MESSAGELOGCONTEXT")
#else()
#  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -O2 -Wl,-O1 -Wl,--gc-sections")
#  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -O2 -Wl,-O1 -Wl,--gc-sections")
#  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fno-rtti")
#endif()

find_package(PkgConfig REQUIRED)
find_package(Qt5Core REQUIRED)
find_package(Qt5DBus REQUIRED)
find_package(Qt5Gui REQUIRED)
find_package(Qt5X11Extras REQUIRED)
find_package(Qt5LinguistTools)
find_package(Qt5Sql REQUIRED)
find_package(Qt5WebChannel REQUIRED)
find_package(Qt5Widgets REQUIRED)
find_package(Qt5LinguistTools REQUIRED)
find_package(Qt5WebEngineWidgets REQUIRED)

find_package(GTest REQUIRED)
include_directories(${GTEST_INCLUDE_DIRS})
find_package(Qt5Test REQUIRED)

pkg_search_module(DtkWidget REQUIRED dtkwidget)
pkg_search_module(DtkGui REQUIRED dtkgui)
pkg_search_module(DtkCore REQUIRED dtkcore)

include_directories(${DtkWidget_INCLUDE_DIRS})
include_directories(${DtkGui_INCLUDE_DIRS})
include_directories(${DtkCore_INCLUDE_DIRS})

ADD_COMPILE_OPTIONS(-fno-access-control)

set(LINK_LIBS
    Qt5::Core
    Qt5::DBus
    Qt5::Sql
    Qt5::Widgets
    Qt5::X11Extras
    Qt5::WebChannel
    Qt5::WebEngineWidgets
    Qt5::Test
    ${}

    ${DtkWidget_LDFLAGS}
    ${DtkGui_LDFLAGS}
    ${DtkCore_LDFLAGS}

    -lX11)

if (CMAKE_BUILD_TYPE MATCHES Debug)
  add_definitions(-DDMAN_SEARCH_DB="${CMAKE_SOURCE_DIR}/manual-assets")
  add_definitions(-DDMAN_WEB_DIR="${CMAKE_CURRENT_SOURCE_DIR}/web_dist")
  add_definitions(-DDMAN_MANUAL_DIR="${CMAKE_SOURCE_DIR}/manual-assets")
else()
  add_definitions(-DDMAN_SEARCH_DB="${CMAKE_INSTALL_PREFIX}/share/deepin-manual/manual-assets")
  add_definitions(-DDMAN_WEB_DIR="${CMAKE_INSTALL_PREFIX}/share/deepin-manual/web_dist")
  add_definitions(-DDMAN_MANUAL_DIR="${CMAKE_INSTALL_PREFIX}/share/deepin-manual/manual-assets")
endif ()

#configure_file(../src/environments.h.in environments.h @ONLY)

# These macros ared used at compile time only.
add_definitions(-DDMAN_SEARCH_ORIG_DB="${CMAKE_CURRENT_BINARY_DIR}/search.db")
add_definitions(-DDMAN_ORIG_MANUAL_DIR="${CMAKE_SOURCE_DIR}/manual-assets")
add_definitions(-DDMAN_SEARCH_WORK_DIR="${CMAKE_CURRENT_SOURCE_DIR}/../src/web")
add_definitions(-DDMAN_SEARCH_CREATE_DB_PATH="${CMAKE_CURRENT_BINARY_DIR}/dbPath")
# This is for icon path on db
add_definitions(-DDMAN_INSTALL_DB_PATH="${CMAKE_INSTALL_PREFIX}/share/deepin-manual/manual-assets")

#include_directories(googletest)
#include_directories(googletest/googlemock/include)
#include_directories(googletest/googletest/include)

##GTest & GMock
#add_subdirectory(googletest)



include_directories(../src)

set(PROJECT_NAME_TEST
    ${PROJECT_NAME}-test)

# 定义 source 文件
FILE (GLOB allTestSource
    src/base/*.cpp
    src/controller/*.cpp
    src/dbus/*.cpp
    src/dbus/dbusvariant/*.cpp
    src/view/*.cpp
    src/view/widget/*.cpp
    src/test_main.cpp
    src/third-party/stub/*
    )

#Include all app source files
FILE (GLOB dmanCppFiles
    ../src/base/*.cpp
    ../src/controller/*.cpp
    ../src/dbus/*.cpp
    ../src/dbus/dbusvariant/*.cpp
#    ../src/resources/*
    ../src/view/*.cpp
    ../src/view/widget/*.cpp)

FILE (GLOB dmanHeaderFiles
    ../src/base/*.h
    ../src/controller/*.h
    ../src/dbus/*.h
    ../src/dbus/dbusvariant/*.h
#    ../src/resources/*.h
    ../src/view/*.h
    ../src/widget/*.h)

FILE (GLOB dmanResourcesFiles
    ../src/resources/themes/images.cpp
    ../src/resources/themes/images.h
    ../src/resources/themes/themes.qrc
    )

# 生成测试可执行程序
add_executable(${PROJECT_NAME_TEST}
    ${dmanCppFiles}
    ${dmanHeaderFiles}
    ${dmanResourcesFiles}
    ${allTestSource}
)

target_include_directories(${PROJECT_NAME_TEST} PUBLIC ${Qt5Widgets_LIBRARIES}
                                                       ${Qt5DBus_LIBRARIES}
                                                       ${Qt5TestLib_LIBRARIES}
                                                       ${Qt5Widgets_PRIVATE_INCLUDE_DIRS}
                                                       ${Qt5Core_PRIVATE_INCLUDE_DIRS}
                                                       ${Qt5Gui_PRIVATE_INCLUDE_DIRS}
                                                       ${DtkWidget_INCLUDE_DIRS}
                                                       ${DtkCore_INCLUDE_DIRS}
                                                       ${DtkGui_INCLUDE_DIRS}
                                                       ${PROJECT_BINARY_DIR})
# 生成测试可执行程序的依赖库
target_link_libraries(
    ${PROJECT_NAME_TEST}
    PUBLIC ${LINK_LIBS}
    ${GTEST_LIBRARYS}
    ${GTEST_MAIN_LIBRARYS}
    gtest gtest_main pthread)

#------------------------------ 创建'make test'指令---------------------------------------
add_custom_target(test)

add_custom_command(TARGET test
    COMMAND echo " =================== TEST BEGIN ==================== "

#    #1.清理原先的gcov信息
    COMMAND ${CMAKE_BINARY_DIR}/tests/${PROJECT_NAME_TEST}
    COMMAND echo " =================== TEST END ==================== "
    )

##'make test'命令依赖与我们的测试程序
add_dependencies(test ${PROJECT_NAME_TEST})

## 设置添加gocv相关信息的输出
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}  -g -fprofile-arcs -ftest-coverage -fno-inline")

=== debian/changelog ===
deepin-manual (5.7.0.75-1) unstable; urgency=medium

  * update

 -- Deepin Sysdev <sysdev@deepin.com>  Tue, 30 Mar 2021 20:41:14 +0800

deepin-manual (5.5.5) stable; urgency=medium

  * Update manual

 -- Xu Shaohua <xushaohua2016@outlook.com>  Tue, 24 Jul 2018 13:57:36 +0800

deepin-manual (2.0.9.3) stable; urgency=medium

  * Update manual 

 -- Xu Shaohua <xushaohua2016@outlook.com>  Tue, 12 Jun 2018 15:37:08 +0800

deepin-manual (2.0.9.2) stable; urgency=medium

  * Update manual

 -- Xu Shaohua <xushaohua2016@outlook.com>  Fri, 08 Jun 2018 11:18:06 +0800

deepin-manual (2.0.9.1) stable; urgency=medium

  * Update manual

 -- Xu Shaohua <xushaohua2016@outlook.com>  Fri, 08 Jun 2018 10:44:46 +0800

deepin-manual (2.0.9) stable; urgency=medium

  * Fix index layout
  * Delete unused libdxcb plugin
  * Update flatpak package name mapper

 -- Xu Shaohua <xushaohua2016@outlook.com>  Wed, 30 May 2018 14:50:28 +0800

deepin-manual (2.0.8) stable; urgency=medium

  * Show completion window on active window
  * Upgrade manual of dde-file-manager to 1.7

 -- Xu Shaohua <xushaohua2016@outlook.com>  Thu, 17 May 2018 09:35:45 +0800

deepin-manual (2.0.7.6) stable; urgency=medium

  * Update i18n

 -- Xu Shaohua <xushaohua@deepin.com>  Wed, 21 Mar 2018 16:34:19 +0800

deepin-manual (2.0.7.5) stable; urgency=medium

  * Add WebEventDelegate to override default context menu

 -- Xu Shaohua <xushaohua@deepin.com>  Wed, 21 Mar 2018 15:14:16 +0800

deepin-manual (2.0.7.4) stable; urgency=medium

  * Add DontCreateNativeWidgetSibings flag
  * Update i18n

 -- Xu Shaohua <xushaohua@deepin.com>  Wed, 21 Mar 2018 09:39:09 +0800

deepin-manual (2.0.7.3) stable; urgency=medium

  * Start new instance if failed to register dbus service

 -- Xu Shaohua <xushaohua@deepin.com>  Fri, 16 Mar 2018 13:53:28 +0800

deepin-manual (2.0.7.2) stable; urgency=medium

  * Update libdxcb plugin

 -- Xu Shaohua <xushaohua@deepin.com>  Thu, 15 Mar 2018 18:24:00 +0800

deepin-manual (2.0.7.1) stable; urgency=medium

  * Enable bundled dxcb plugin

 -- Xu Shaohua <xushaohua@deepin.com>  Thu, 15 Mar 2018 17:37:41 +0800

deepin-manual (2.0.7) stable; urgency=medium

  * Replace deepin-webengine with libqcef

 -- Xu Shaohua <xushaohua@deepin.com>  Thu, 15 Mar 2018 16:35:03 +0800

deepin-manual (2.0.6) stable; urgency=medium

  * Update i18n
  * Update manuals
  * Update icon padddings
  * Fix WindowManager::openManual() reentrent issue

 -- Xu Shaohua <xushaohua@deepin.com>  Wed, 07 Mar 2018 15:50:18 +0800

deepin-manual (2.0.5) unstable; urgency=medium

  * Update manual
  * Read manual id from desktop file
  * Do not scale svg files
  * Reorder manual list
  * Fix atttribute error of image element
  * Fix image viewer issue in hiDPI mode

 -- Xu Shaohua <xushaohua@deepin.com>  Wed, 28 Feb 2018 09:45:24 +0800

deepin-manual (2.0.4) unstable; urgency=medium

  * Update manual images
  * Fix search issue
  * Fix qt platform plugin issue
  * Fix icon alignment in index page

 -- Xu Shaohua <xushaohua@deepin.com>  Tue, 27 Feb 2018 11:15:34 +0800

deepin-manual (2.0.3) unstable; urgency=medium

  * Include libdxcb plugin
  * Be compactable with old version of dman
  * Add log manager
  * Fix global search navigation

 -- Xu Shaohua <xushaohua@deepin.com>  Thu, 08 Feb 2018 16:15:43 +0800

deepin-manual (2.0.2) unstable; urgency=medium

  * Depends on new version of dxcb plugin

 -- Xu Shaohua <xushaohua@deepin.com>  Wed, 07 Feb 2018 16:13:13 +0800

deepin-manual (2.0.1) stable; urgency=medium

  * Tuning dman-search memory usage
  * Enable HiDPI pixmap
  * Tuning global search

 -- Xu Shaohua <xushaohua@deepin.com>  Tue, 06 Feb 2018 09:29:05 +0800

deepin-manual (2.0.0) unstable; urgency=medium

  * Rewrite with Qt5

 -- Xu Shaohua <xushaohua@deepin.com>  Mon, 20 Nov 2017 13:24:03 +0800

deepin-manual (1.0.5-1) stable; urgency=low

  * Autobuild Tag 1.0.5 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Tue, 29 Dec 2015 14:30:31 +0000

deepin-manual (1.0.3-2) stable; urgency=low

  * Rebuild Version 1.0.3 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Mon, 28 Dec 2015 21:28:20 +0000

deepin-manual (1.0.3-1) stable; urgency=low

  * Autobuild Tag 1.0.3 

 -- TagBuilder <tabbuilder@linuxdeepin.com>  Sat, 19 Dec 2015 13:04:17 +0000

deepin-manual (1.0.2-1) stable; urgency=low

  * Autobuild Tag 1.0.2 

 -- TagBuilder <tabbuilder@linuxdeepin.com>  Mon, 23 Nov 2015 09:00:29 +0000

deepin-manual (1.0.1-1) stable; urgency=low

  * Autobuild Tag 1.0.1 

 -- TagBuilder <tabbuilder@linuxdeepin.com>  Fri, 20 Nov 2015 09:50:19 +0000

deepin-manual (1.0.0-1) stable; urgency=low

  * Autobuild Tag 1.0.0 

 -- TagBuilder <tabbuilder@linuxdeepin.com>  Wed, 01 Jul 2015 16:03:59 +0000

deepin-manual (0.1) trusty; urgency=medium

  * build from git. 

 -- pkg-builder <pkg-builder@packages.linuxdeepin.com>  Thu, 07 May 2015 13:05:04 +0800

deepin-manual (1:0.1) trusty; urgency=low

  * Please see the repository's changelog.

 -- Xinkai Chen <chenxinkai@linuxdeepin.com>  Mon, 23 March 2015 00:00:00 -0800

=== debian/control ===
Source: deepin-manual
Maintainer: Deepin Sysdev <sysdev@deepin.com>
Section: python
Priority: optional
Build-Depends:
 ca-certificates,
 cmake,
 debhelper (>= 11),
 libdtkwidget-dev,
 libdtkgui-dev,
 qtwebengine5-dev,
 libqt5webchannel5-dev,
 libsass-dev,
 libqt5sql5-sqlite,
 pkg-config,
 qttools5-dev,
 qttools5-dev-tools,
 libgtest-dev,
 libgmock-dev,
 qtbase5-private-dev,
Standards-Version: 4.5.1
Homepage: https://github.com/linuxdeepin/deepin-manual/
Vcs-Git: git://github.com/linuxdeepin/deepin-manual.git
Vcs-Browser: https://github.com/linuxdeepin/deepin-manual/


Package:deepin-manual
Architecture: any
Depends: ${misc:Depends},
 ${shlibs:Depends},
 libqt5core5a,
 libqt5dbus5,
 libqt5sql5-sqlite,
Recommends: qt5dxcb-plugin,
Conflicts: dde-help
Provides: dde-help
Description: Manual provides user guides of the system and applications. 
 Manual is designed to help users learn the operating system and its applications, providing specific instructions and function descriptions.

## deepin-manual 5.8.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

if (NOT DEFINED VERSION)
    set(VERSION 1.2.2)
endif ()

project(deepin-manual)

option(DMAN_RELEAE OFF "Install dman resources to system or not")

add_subdirectory(src)
add_subdirectory(tests)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -40,7 +40,7 @@
 set(CMAKE_AUTOMOC ON)
 set(CMAKE_AUTORCC ON)
 
-  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -Wall -Wextra -fno-rtti -fno-exceptions")
+  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -Wall -Wextra -fno-rtti -fno-exceptions -fstack-protector-strong -D_FORTITY_SOURCE=1 -z noexecstack -pie -fPIC -z lazy")
   set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -Wall -Wextra")
 
 if (CMAKE_BUILD_TYPE MATCHES Debug)  
@@ -315,10 +315,10 @@
 #set different ISO types
 #1:professional 2:community 3:server 4:personal
 #set(ISO_TYPE "professional")
-set(ISO_TYPE "community")
+#set(ISO_TYPE "community")
 #set(ISO_TYPE "server")
 #set(ISO_TYPE "personal")
-
+#set(ISO_TYPE "education")
 
 
 ## Installation
@@ -333,8 +333,8 @@
 install(FILES ${QM_FILES}
         DESTINATION ${CMAKE_INSTALL_PREFIX}/share/deepin-manual/translations/)
 
-install(DIRECTORY ${CMAKE_SOURCE_DIR}/manual-assets/${ISO_TYPE}
-        DESTINATION ${CMAKE_INSTALL_PREFIX}/share/deepin-manual/manual-assets/)
+#install(DIRECTORY ${CMAKE_SOURCE_DIR}/manual-assets/${ISO_TYPE}
+#        DESTINATION ${CMAKE_INSTALL_PREFIX}/share/deepin-manual/manual-assets/)
 
 install(DIRECTORY ${CMAKE_SOURCE_DIR}/src/web_dist
         DESTINATION ${CMAKE_INSTALL_PREFIX}/share/deepin-manual)

=== src/resources/CMakeLists.txt ===
install(FILES deepin-manual.desktop
        DESTINATION ${CMAKE_INSTALL_PREFIX}/share/applications/)

install(FILES themes/common/images/deepin-manual.svg
        DESTINATION ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/scalable/apps/)

=== debian/changelog ===
deepin-manual (5.8.3-1) unstable; urgency=medium

  * update

 -- Deepin Sysdev <sysdev@deepin.com>  Mon, 16 May 2022 10:23:36 +0800

## deepin-manual 5.8.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,4 +9,8 @@
 option(DMAN_RELEAE OFF "Install dman resources to system or not")
 
 add_subdirectory(src)
-add_subdirectory(tests)
+
+if (CMAKE_BUILD_TYPE STREQUAL "Debug")
+    add_subdirectory(tests)
+endif()
+

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -42,6 +42,11 @@
 
   set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -Wall -Wextra -fno-rtti -fno-exceptions -fstack-protector-strong -D_FORTITY_SOURCE=1 -z noexecstack -pie -fPIC -z lazy")
   set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -Wall -Wextra")
+
+if(CMAKE_COVERAGE_ARG STREQUAL "CMAKE_COVERAGE_ARG_ON")
+    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -Wall -fprofile-arcs -ftest-coverage")
+    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -Wall -fprofile-arcs -ftest-coverage")
+endif()
 
 if (CMAKE_BUILD_TYPE MATCHES Debug)  
   # -fno-rtti, Disable real-time type information

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -12,15 +12,20 @@
 set(CMAKE_AUTOMOC ON)
 set(CMAKE_AUTORCC ON)
 
-#if (CMAKE_BUILD_TYPE MATCHES Debug)
-#  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -Wall -Werror -Wextra")
-#  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -Wall -Werror -Wextra -fno-rtti -fno-exceptions")
-#  add_definitions("-DQT_MESSAGELOGCONTEXT")
-#else()
-#  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -O2 -Wl,-O1 -Wl,--gc-sections")
-#  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -O2 -Wl,-O1 -Wl,--gc-sections")
-#  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fno-rtti")
-#endif()
+set(CMAKE_SAFETYTEST "${CMAKE_SAFETYTEST_ARG}")
+
+if(CMAKE_SAFETYTEST STREQUAL "")
+    set(CMAKE_SAFETYTEST "CMAKE_SAFETYTEST_ARG_OFF")
+endif()
+
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -D${CMAKE_SAFETYTEST}")
+
+if(CMAKE_SAFETYTEST STREQUAL "CMAKE_SAFETYTEST_ARG_ON")
+  #安全测试选项
+  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -fsanitize=undefined,address -O2")
+  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -fsanitize=undefined,address -O2")
+endif()
+
 
 find_package(PkgConfig REQUIRED)
 find_package(Qt5Core REQUIRED)
@@ -113,7 +118,8 @@
 
 #Include all app source files
 FILE (GLOB dmanCppFiles
-    ../src/base/*.cpp
+    ../src/base/consts.cpp
+    ../src/base/utils.cpp
     ../src/controller/*.cpp
     ../src/dbus/*.cpp
     ../src/dbus/dbusvariant/*.cpp
@@ -122,7 +128,8 @@
     ../src/view/widget/*.cpp)
 
 FILE (GLOB dmanHeaderFiles
-    ../src/base/*.h
+    ../src/base/consts.h
+    ../src/base/utils.h
     ../src/controller/*.h
     ../src/dbus/*.h
     ../src/dbus/dbusvariant/*.h
@@ -177,4 +184,4 @@
 add_dependencies(test ${PROJECT_NAME_TEST})
 
 ## 设置添加gocv相关信息的输出
-set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}  -g -fprofile-arcs -ftest-coverage -fno-inline")
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}  -g -fprofile-arcs -ftest-coverage -fno-inline -fstack-protector-strong -D_FORTITY_SOURCE=1 -z noexecstack -pie -fPIC -z lazy")

=== src/dbus/CMakeLists.txt ===
install(FILES
        com.deepin.Manual.Open.service
        com.deepin.Manual.Search.service
        DESTINATION ${CMAKE_INSTALL_PREFIX}/share/dbus-1/services/)

=== debian/changelog ===
deepin-manual (5.8.11-1) unstable; urgency=medium

  * update

 -- Deepin Sysdev <sysdev@deepin.com>  Tue, 26 Jul 2022 14:51:50 +0800

## deepin-manual 5.8.15

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,7 @@
+# SPDX-FileCopyrightText: 2022 UnionTech Software Technology Co., Ltd.
+#
+# SPDX-License-Identifier: CC0-1.0
+
 project(deepin-manual C CXX)
 
 #set(CMAKE_C_COMPILER  /usr/bin/clang)
@@ -144,6 +148,8 @@
     base/consts.h
     base/utils.cpp
     base/utils.h
+    base/eventlogutils.h
+    base/eventlogutils.cpp
     )
 
 set(CONTROLLER_FILES
@@ -236,6 +242,8 @@
     dbus/dbusvariant/app_info.h
     controller/search_db.cpp
     controller/search_db.h
+    base/eventlogutils.h
+    base/eventlogutils.cpp
     )
 add_executable(generate-search-db
                ${SEARCH_FILES})
@@ -271,6 +279,8 @@
                 base/utils.h
                 base/consts.cpp
                 base/consts.h
+                base/eventlogutils.h
+                base/eventlogutils.cpp
                 dbus/dbus_consts.cpp
                 dbus/dbus_consts.h
                 dbus/dbusvariant/app_info.cpp

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,6 @@
+# SPDX-FileCopyrightText: 2022 UnionTech Software Technology Co., Ltd.
+#
+# SPDX-License-Identifier: CC0-1.0
 
 cmake_minimum_required(VERSION 3.7)

=== src/dbus/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,7 @@
+# SPDX-FileCopyrightText: 2022 UnionTech Software Technology Co., Ltd.
+#
+# SPDX-License-Identifier: CC0-1.0
+
 install(FILES
         com.deepin.Manual.Open.service
         com.deepin.Manual.Search.service

=== src/resources/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,7 @@
+# SPDX-FileCopyrightText: 2022 UnionTech Software Technology Co., Ltd.
+#
+# SPDX-License-Identifier: CC0-1.0
+
 install(FILES deepin-manual.desktop
         DESTINATION ${CMAKE_INSTALL_PREFIX}/share/applications/)

=== debian/changelog ===
deepin-manual (5.8.15-1) unstable; urgency=medium

  * update

 -- Deepin Sysdev <sysdev@deepin.com>  Thu, 17 Nov 2022 10:15:44 +0800

=== debian/control ===
--- 
+++ 
@@ -31,7 +31,7 @@
  libqt5core5a,
  libqt5dbus5,
  libqt5sql5-sqlite,
-Recommends: qt5dxcb-plugin,
+Recommends: qt5dxcb-plugin,uos-reporter, deepin-event-log
 Conflicts: dde-help
 Provides: dde-help
 Description: Manual provides user guides of the system and applications.

## deepin-manual 6.0.5

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,26 +1,21 @@
-# SPDX-FileCopyrightText: 2022 UnionTech Software Technology Co., Ltd.
-#
-# SPDX-License-Identifier: CC0-1.0
-
 project(deepin-manual C CXX)
 
 #set(CMAKE_C_COMPILER  /usr/bin/clang)
 #set(CMAKE_CXX_COMPILER  /usr/bin/clang++)
 
-
+#assets目录在usr下
 set(CMAKE_INSTALL_PREFIX /usr)
-
+add_definitions(-DDMAN_MANUAL_DIR="${CMAKE_INSTALL_PREFIX}/share/deepin-manual/manual-assets")
 
 if (CMAKE_BUILD_TYPE MATCHES Debug)
   add_definitions(-DDMAN_SEARCH_DB="${CMAKE_SOURCE_DIR}/manual-assets")
   add_definitions(-DDMAN_WEB_DIR="${CMAKE_CURRENT_SOURCE_DIR}/web_dist")
 #  add_definitions(-DDMAN_MANUAL_DIR="${CMAKE_SOURCE_DIR}/manual-assets")
-  add_definitions(-DDMAN_MANUAL_DIR="${CMAKE_INSTALL_PREFIX}/share/deepin-manual/manual-assets")
 else()
   add_definitions(-DDMAN_SEARCH_DB="${CMAKE_INSTALL_PREFIX}/share/deepin-manual/manual-assets")
   add_definitions(-DDMAN_WEB_DIR="${CMAKE_INSTALL_PREFIX}/share/deepin-manual/web_dist")
-  add_definitions(-DDMAN_MANUAL_DIR="${CMAKE_INSTALL_PREFIX}/share/deepin-manual/manual-assets")
 endif ()
+
 #禁止Debug日志输出
 #add_definitions(-DQT_NO_DEBUG_OUTPUT)
 
@@ -352,7 +347,7 @@
 #        DESTINATION ${CMAKE_INSTALL_PREFIX}/share/deepin-manual/manual-assets/)
 
 install(DIRECTORY ${CMAKE_SOURCE_DIR}/src/web_dist
-        DESTINATION ${CMAKE_INSTALL_PREFIX}/share/deepin-manual)
+            DESTINATION ${CMAKE_INSTALL_PREFIX}/share/deepin-manual)
 
 
 string(TOLOWER ${CMAKE_SYSTEM_PROCESSOR} LOWERCASE_CMAKE_SYSTEM_PROCESSOR)

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -123,6 +123,7 @@
 FILE (GLOB dmanCppFiles
     ../src/base/consts.cpp
     ../src/base/utils.cpp
+    ../src/base/eventlogutils.cpp
     ../src/controller/*.cpp
     ../src/dbus/*.cpp
     ../src/dbus/dbusvariant/*.cpp
@@ -133,6 +134,7 @@
 FILE (GLOB dmanHeaderFiles
     ../src/base/consts.h
     ../src/base/utils.h
+    ../src/base/eventlogutils.h
     ../src/controller/*.h
     ../src/dbus/*.h
     ../src/dbus/dbusvariant/*.h

=== src/dbus/CMakeLists.txt ===
if(DEFINED ENV{PREFIX})
   set(CMAKE_INSTALL_PREFIX $ENV{PREFIX})
else()
   set(CMAKE_INSTALL_PREFIX /usr)
endif()
install(FILES
        com.deepin.Manual.Open.service
        com.deepin.Manual.Search.service
        DESTINATION share/dbus-1/services/)

=== src/resources/CMakeLists.txt ===
if(DEFINED ENV{PREFIX})
   set(CMAKE_INSTALL_PREFIX $ENV{PREFIX})
else()
   set(CMAKE_INSTALL_PREFIX /usr)
endif()

install(FILES deepin-manual.desktop
        DESTINATION share/applications/)

install(FILES themes/common/images/deepin-manual.svg
        DESTINATION share/icons/hicolor/scalable/apps/)

=== debian/changelog ===
deepin-manual (6.0.5-1) unstable; urgency=medium

  * update

 -- Deepin Sysdev <sysdev@deepin.com>  Fri, 31 Mar 2023 10:37:17 +0800

deepin-manual (6.0.5) stable; urgency=medium

  * Update Version 6.0.5

 -- Deepin Packages Builder <packages@deepin.com>  Thu, 30 Mar 2023 15:40:34 +0800

deepin-manual (6.0.4) stable; urgency=medium

  * Update Version 6.0.4

 -- Deepin Packages Builder <packages@deepin.com>  Fri, 10 Mar 2023 10:17:23 +0800

deepin-manual (6.0.3) stable; urgency=medium

  * Update Version 6.0.3

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 7 Mar 2023 11:11:35 +0800

deepin-manual (6.0.2) stable; urgency=medium

  * Update Version 6.0.2

 -- Deepin Packages Builder <packages@deepin.com>  Thu, 16 Feb 2023 14:48:35 +0800

deepin-manual (6.0.1) stable; urgency=medium

  * V23 & V20 code merge to same branch
  * Reinital version 6.0.1

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 14 Feb 2023 15:17:35 +0800

deepin-manual (6.0.0) stable; urgency=medium

  * V23 code 
  * Adapt REUSE license

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 30 Jan 2023 17:36:35 +0800

## deepin-manual 6.0.7

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -284,6 +284,8 @@
                 dbus/manual_search_adapter.h
                 dbus/manual_search_proxy.cpp
                 dbus/manual_search_proxy.h
+                dbus/dmanwatcher.cpp
+                dbus/dmanwatcher.h
                 base/command.cpp
                 base/command.h
                 controller/helpermanager.cpp

=== debian/changelog ===
deepin-manual (6.0.7) stable; urgency=medium

  * chore: Sync by https://github.com/linuxdeepin/.github/commit/2e5e092ba3f86b16d1aabbabcf0bfd2ae65b19c8(Influence: none)
  * chore: Sync by https://github.com/linuxdeepin/.github/commit/559e91167d4919644f37bbcf123eb0651c1528ea(Influence: none)
  * fix: 修复系统启动后dmanHelper成为常驻进程的问题
  * feat: support dtk 5.6.17
    Thanks to Hillwood Yang
  * fix: missing app list(Issue: https://github.com/linuxdeepin/developer-center/issues/6902)
  * feat: add metainfo of dde

 -- myml <wurongjie@deepin.org>  Tue, 16 Jan 2024 13:55:52 +0800

deepin-manual (6.0.6) stable; urgency=medium

  * Update version to 6.0.6. community

 -- Deepin Packages Builder <packages@deepin.org>  Tue, 25 Apr 2023 11:07:12 +0800

=== debian/rules ===
#!/usr/bin/make -f

export QT_SELECT=qt5
export DH_VERBOSE=1
include /usr/share/dpkg/default.mk
DEB_TARGET_MULTIARCH ?= $(shell dpkg-architecture -qDEB_TARGET_MULTIARCH)
DH_AUTO_ARGS = --parallel --buildsystem=cmake

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- \
	  -DCMAKE_BUILD_TYPE=Release \
      -DCMAKE_SAFETYTEST_ARG="CMAKE_SAFETYTEST_ARG_OFF" \
	  -DCMAKE_INSTALL_PREFIX=/usr \
      -DAPP_VERSION=$(DEB_VERSION_UPSTREAM) -DVERSION=$(DEB_VERSION_UPSTREAM) LIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH)

override_dh_auto_build:
	dh_auto_build -- dman

override_dh_shlibdeps:
	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info -l/usr/lib
	dh_shlibdeps -Xusr/share/deepin-manual/plugins/libdxcb.so -- --ignore-missing-info

## deepin-manual 6.5.6.1

=== debian/changelog ===
deepin-manual (6.5.6.1) stable; urgency=medium

  * chore: Sync by https://github.com/linuxdeepin/.github/commit/2e5e092ba3f86b16d1aabbabcf0bfd2ae65b19c8(Influence: none)
  * chore: Sync by https://github.com/linuxdeepin/.github/commit/559e91167d4919644f37bbcf123eb0651c1528ea(Influence: none)
  * fix: 修复系统启动后dmanHelper成为常驻进程的问题
  * feat: support dtk 5.6.17
    Thanks to Hillwood Yang
  * fix: missing app list(Issue: https://github.com/linuxdeepin/developer-center/issues/6902)
  * feat: add metainfo of dde

 -- myml <wurongjie@deepin.org>  Tue, 16 Jan 2024 13:55:52 +0800
